<template>
  <div class="contentBox">
    <article-module :article="article" />
  </div>
</template>
<script setup lang="ts" name="">
import api from "@/api/zwgk.js";
import articleModule from "@/components/article/index.vue";
import { onMounted, reactive } from "vue";
const article = reactive({
  fileList: [],
});
onMounted(() => {
  api.openGuide().then((res) => {
    if (res.code == 200) {
      article.title = res.data.title;
      article.attachments = res.data.attachments;
      article.contentHtml = res.data.announcementContent;
    }
  });
});
</script>
<style scoped lang="less">
.contentBox {
  padding: 0 15px;
  min-height: calc(100vh - 200px);
}
</style>
